package com.example.soulfood_assignment2;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.Toast;

import java.util.ArrayList;

public class SavedPlaylists extends AppCompatActivity {
    public static SharedPreferences playlists;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_saved_playlists);

        playlists = getPreferences(Context.MODE_PRIVATE);

        ArrayList<String> saved = new ArrayList<>();
        saved.add("Playlist " + playlists.getString("playlist 1", "0"));
        saved.add("Playlist " + playlists.getString("playlist 2", "0"));
        saved.add("Playlist " + playlists.getString("playlist 3", "0"));

        for (String s: saved) {
            if(s.equals("Playlist 0")) {
                saved.remove(s);
            }
        }

        ListView listView = findViewById(R.id.listViewPlaylists);

        ArrayAdapter<String> adapter = new ArrayAdapter<>(this, android.R.layout.simple_list_item_1, saved);
        listView.setAdapter(adapter);
    }

    /*
    saves a playlist as a shared reference if there's space
    produces a toast if not
    needs the id stored in the databse as input
     */
    public void savePlaylist(String databaseId) {
        SharedPreferences.Editor editor = playlists.edit();

        if (playlists.getString("playlist 1", "0").equals("0")) {
            editor.putString("playlist 1", "id");
            editor.commit();
        } else if (playlists.getString("playlist 2", "0").equals("0")) {
            editor.putString("playlist 2", "id");
            editor.commit();
        } else if (playlists.getString("playlist 3", "0").equals("0")) {
            editor.putString("playlist 3", "id");
            editor.commit();
        } else {
            Toast.makeText(getApplicationContext(),"Saved playlists full!", Toast.LENGTH_LONG).show();
        }

    }
}
